pidgin: gtkprefs.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Functions
gtkprefs.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Preferences. More...

`#include "prefs.h"`

Go to the source code of this file.

## Functions
void | pidgin_prefs_init (void)
| Initializes all UI-specific preferences.
void | pidgin_prefs_show (void)
| Shows the preferences dialog.
GtkWidget * | pidgin_prefs_checkbox (const char *title, const char *key, GtkWidget *page)
| Add a new checkbox for a boolean preference.
GtkWidget * | pidgin_prefs_labeled_spin_button (GtkWidget *page, const gchar *title, const char *key, int min, int max, GtkSizeGroup *sg)
| Add a new spin button representing an int preference.
GtkWidget * | pidgin_prefs_labeled_entry (GtkWidget *page, const gchar *title, const char *key, GtkSizeGroup *sg)
| Add a new entry representing a string preference.
GtkWidget * | pidgin_prefs_labeled_password (GtkWidget *page, const gchar *title, const char *key, GtkSizeGroup *sg)
| Add a new entry representing a password (string) preference The entry will use a password-style text entry (the text is substituded)
GtkWidget * | pidgin_prefs_dropdown (GtkWidget *page, const gchar *title, PurplePrefType type, const char *key,...)
| Add a new dropdown representing a preference of the specified type.
GtkWidget * | pidgin_prefs_dropdown_from_list (GtkWidget *page, const gchar *title, PurplePrefType type, const char *key, GList *menuitems)
| Add a new dropdown representing a preference of the specified type.
void | pidgin_prefs_update_old (void)
| Rename legacy prefs and delete some that no longer exist.

## Detailed Description

GTK+ Preferences.

Definition in file gtkprefs.h.

## Function Documentation

## ◆ pidgin_prefs_checkbox()

GtkWidget * pidgin_prefs_checkbox | ( | const char * | title,
|  | const char * | key,
|  | GtkWidget * | page
| ) |  |

Add a new checkbox for a boolean preference.

Parameters

  title | The text to be displayed as the checkbox label
  key | The key of the purple bool pref that will be represented by the checkbox
  page | The page to which the new checkbox will be added

## ◆ pidgin_prefs_dropdown()

GtkWidget * pidgin_prefs_dropdown | ( | GtkWidget * | page,
|  | const gchar * | title,
|  | PurplePrefType | type,
|  | const char * | key,
|  |  | ...
| ) |  |

Add a new dropdown representing a preference of the specified type.

Parameters

  page | The page to which the dropdown will be added
  title | The text to be displayed as the dropdown label
  type | The type of preference to be stored in the generated dropdown
  key | The key of the pref that will be represented by the dropdown
  ... | The choices to be added to the dropdown, choices should be paired as label/value

## ◆ pidgin_prefs_dropdown_from_list()

GtkWidget * pidgin_prefs_dropdown_from_list | ( | GtkWidget * | page,
|  | const gchar * | title,
|  | PurplePrefType | type,
|  | const char * | key,
|  | GList * | menuitems
| ) |  |

Add a new dropdown representing a preference of the specified type.

Parameters

  page | The page to which the dropdown will be added
  title | The text to be displayed as the dropdown label
  type | The type of preference to be stored in the dropdown
  key | The key of the pref that will be represented by the dropdown
  menuitems | The choices to be added to the dropdown, choices should be paired as label/value

## ◆ pidgin_prefs_labeled_entry()

GtkWidget * pidgin_prefs_labeled_entry | ( | GtkWidget * | page,
|  | const gchar * | title,
|  | const char * | key,
|  | GtkSizeGroup * | sg
| ) |  |

Add a new entry representing a string preference.

Parameters

  page | The page to which the entry will be added
  title | The text to be displayed as the entry label
  key | The key of the string pref that will be represented by the entry
  sg | If not NULL, the size group to which the entry will be added

Returns
  An hbox containing both the label and the entry. Can be used to set the widgets to sensitive or insensitive based on the value of a checkbox.

## ◆ pidgin_prefs_labeled_password()

GtkWidget * pidgin_prefs_labeled_password | ( | GtkWidget * | page,
|  | const gchar * | title,
|  | const char * | key,
|  | GtkSizeGroup * | sg
| ) |  |

Add a new entry representing a password (string) preference The entry will use a password-style text entry (the text is substituded)

Parameters

  page | The page to which the entry will be added
  title | The text to be displayed as the entry label
  key | The key of the string pref that will be represented by the entry
  sg | If not NULL, the size group to which the entry will be added

Returns
  An hbox containing both the label and the entry. Can be used to set the widgets to sensitive or insensitive based on the value of a checkbox.

Since
  2.6.0

## ◆ pidgin_prefs_labeled_spin_button()

GtkWidget * pidgin_prefs_labeled_spin_button | ( | GtkWidget * | page,
|  | const gchar * | title,
|  | const char * | key,
|  | int | min,
|  | int | max,
|  | GtkSizeGroup * | sg
| ) |  |

Add a new spin button representing an int preference.

Parameters

  page | The page to which the spin button will be added
  title | The text to be displayed as the spin button label
  key | The key of the int pref that will be represented by the spin button
  min | The minimum value of the spin button
  max | The maximum value of the spin button
  sg | If not NULL, the size group to which the spin button will be added

Returns
  An hbox containing both the label and the spinner. Can be used to set the widgets to sensitive or insensitive based on the value of a checkbox.